.randomize <-
function(n, ...) {
  require(blockrand)
  trt <- blockrand(n, ...)$treatment[1:n]
  trt
}

.simAge <-
function(n, p, ApoE, lbAge = -Inf, ubAge = Inf, ...) {
  Eage <- c(p['Eage[1]'], p['Eage[2]'], p['Eage[3]'])
  Vage <- p['Vage']
  age <- rnorm.trunc(n, Eage[ApoE + 1], sqrt(Vage), lower = lbAge, upper = ubAge)
  age
}

.simApoE <-
function(n, p, ...) {
  pApo <- c(p['pApo[1]'], p['pApo[2]'], p['pApo[3]'])
  ## simdat <- rmultinom(n, 1, pApo) # would be equivalent, but bulkier
  simdat <- sample(0:2, n, replace = TRUE, prob = pApo)
  simdat
}

.simBmmse <-
function(n, lbMmse = 16, ubMmse = 26, ...) {
  runif(n, lbMmse, ubMmse)
}

.simGen <-
function(n, p, ...){
  rbinom(n, 1, p['pGen'])  ## pGen is the probability of sex==female
}

