gLogitDelta <-
function (deltaAtRefTime = -2.5, refTime = 6 * 4,
                         otherTimes = c(6, 12), refAdas = 25,
                         xi=1,
                         et50 = 1) 
{
  gLogit <- function(adas) {
    theta <- adas/70
    y <- (1/xi) * log(theta^xi / (1 - theta^xi))
    y
  }
  gLogitOnDrug <- gLogit(refAdas + deltaAtRefTime)
  gLogitNoDrug <- gLogit(refAdas)
  diffAtRefTime <- gLogitOnDrug - gLogitNoDrug
  names(diffAtRefTime) <- paste(refTime)
  logitEmax <- diffAtRefTime * (refTime + et50)/refTime
  diffAtOtherTimes <- logitEmax * otherTimes/(et50 + otherTimes)
  names(diffAtOtherTimes) <- paste(otherTimes)
  out <- list(logitEmax = logitEmax, diffAtRefTime = diffAtRefTime, 
              diffAtOtherTimes = diffAtOtherTimes)
  out
}

