\name{adsim-package}
\alias{adsim-package}
\alias{adsim}
\docType{package}
\title{
Simulate Alzheimer's Disease Clinical Trials
}
\description{
  Functions to help you simulate clinical trials using the ADAS-cog
  disease progression model
}
\details{
  The starting point for use of this package is the saved matrix object
  \code{\link{posterior}}, which is (re-formatted) output from a WinBUGS
  fit of the disease progression model. The main workflow at the moment
  is a progression of the functions \code{\link{acRecruit}},
  \code{\link{acRandomize}}, and \code{\link{acRun}}, which generates
  simulated clinical trial data sets. The functions
  \code{\link{pAnalyzeParallel}}, \code{\link{pAnalyzeDelayedStart}} and
  \code{\link{pAnalyzeXover}} can be used to analyze the simulated data
  using analyses that are likely to be at least similar to the primary
  analysis methodologies that would typically be used in practice.  There is a very good chance that these two functions will not meet your needs for data analysis, but it should be an easy matter to write your own analysis functions and substitute them in. The other functions is this package are just simple utilities for converting between the original scale and the logit scale used for the parameters.   
}
\author{
Maintainer: Dan Polhamus <danp@metrumrg.com>
}
\keyword{ package }
